<template>
  <div style="display: inline-flex">
    <button type="button" :class="classes" @click="onClick" :style="style">
      <font-awesome-icon :icon="icon" />
      <div class="sf-button-label" v-if="!iconOnly">{{ label }}</div>
    </button>
  </div>
</template>

<style scoped>
.sf-button {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30px;
  min-width: 30px;
  padding: 0 9px;
  background: transparent;
  border-radius: 30px;
  border: none;
  color: #525a8b;
}

.sf-button-min-width {
  min-width: 80px;
}

.sf-button > div:last-child {
  margin-left: 8px;
}
.sf-button:hover {
  background: #e8ebf9;
}

.sf-button:active {
  background: #525a8b;
  color: #e8ebf9;
}
</style>

<script setup>
import { computed } from "vue";

const props = defineProps({
  label: {
    type: String,
    required: true,
  },
  icon: {
    type: String,
    default: "bars",
    validator: (value) => {
      return ["bars", "search", "user"].indexOf(value) !== -1;
    },
  },
  iconOnly: {
    type: Boolean,
    default: true,
  },
  // backgroundColor: {
  //     type: String,
  // },
});

const emit = defineEmits(["click"]);

const classes = computed(() => {
  return {
    "sf-button": true,
    "sf-button-min-width": !props.iconOnly,
  };
});

const style = computed(() => {
  return {
    // backgroundColor: props.backgroundColor,
  };
});

function onClick() {
  emit("click");
}
</script>
